{ pkgs, ... }:
{
  services.vaultwarden = {
    enable = true;
    #backupDir = "/vw-backups";
    config = {
      #WEB_VAULT_FOLDER = "${pkgs.vaultwarden}/share/vaultwarden/vault";
      #WEB_VAULT_ENABLED = true;
      DATA_FOLDER = "/var/lib/bitwarden_rs/";
      DATABASE_URL = "/var/lib/bitwarden_rs/db.sqlite3";
      LOG_FILE = "/var/log/bitwarden";
      WEBSOCKET_ENABLED = true;
      WEBSOCKET_ADDRESS = "0.0.0.0";
      WEBSOCKET_PORT = 3012;
      SIGNUPS_VERIFY = true;
      ROCKET_LOG = "debug";
      ENABLE_WAL = false;
      ADMIN_TOKEN = builtins.readFile ../secret-data/vaultwarden-admin-token;
      DOMAIN = "http://localhost";
      #SMTP_HOST = "mx.example.com";
      #SMTP_FROM = "bitwarden@example.com";
      #SMTP_FROM_NAME = "Bitwarden_RS";
      #SMTP_PORT = 587;
      #SMTP_SSL = true;
      #SMTP_USERNAME = (import /etc/nixos/secret/bitwarden.nix).SMTP_USERNAME;
      #SMTP_PASSWORD = (import /etc/nixos/secret/bitwarden.nix).SMTP_PASSWORD;
      SMTP_TIMEOUT = 15;
      ROCKET_PORT = 8812;
    };
  };
}
